%define module hso
%define version 1.2
%define card Option High Speed Mobile Devices

Summary: dkms package for %{module} driver
Name: dkms-%{module}
Version: %{version}
Release: %mkrel 3
# http://git.kernel.org/?p=linux/kernel/git/sfr/linux-next.git;a=blob;f=drivers/net/usb/hso.c;hb=HEAD
Source0: %{module}-linux-next.c
Patch0: dkms-hso-1.2-refcount.patch
Patch1: dkms-hso-1.2-tty_oops.patch
License: GPL
Group: System/Kernel and hardware
URL: http://www.pharscape.org
Requires(post): dkms
Requires(preun): dkms
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
This package contains the %{module} driver for %{card}

%prep
%setup -c -T
install %SOURCE0 %{module}.c
%patch0 -p1 -b .refcount
%patch1 -p1 -b .tty_oops

cat > Makefile <<EOF
obj-m += %{module}.o
EOF

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/%module-%version-%release/
cat > $RPM_BUILD_ROOT/usr/src/%module-%version-%release/dkms.conf <<EOF
PACKAGE_NAME=%module
PACKAGE_VERSION=%version-%release
DEST_MODULE_LOCATION[0]=/kernel/drivers/net/usb/
BUILT_MODULE_NAME[0]=%module
AUTOINSTALL="yes"
EOF

tar c . | tar x -C $RPM_BUILD_ROOT/usr/src/%module-%version-%release/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
/usr/src/%module-%version-%release/

%post
/usr/sbin/dkms --rpm_safe_upgrade add -m %module -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade build -m %module -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade install -m %module -v %version-%release
exit 0

%preun
/usr/sbin/dkms --rpm_safe_upgrade remove -m %module -v %version-%release --all
exit 0



%changelog
* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.2-3mdv2009.1
+ Revision: 350658
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-2mdv2009.0
+ Revision: 266565
- rebuild early 2009.0 package (before pixel changes)

* Fri May 23 2008 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2009.0
+ Revision: 210595
- fix oops when the tty does not exist anymore
- fix tty device refcounting so that the module can be rmmoded and modprobed again
- use hso.c from linux-next git tree (to be merged for next stable kernel)
- install in /drivers/net/usb (like in linux-next git tree)
- simplify dkms conf file
- improve description
- initial dkms-hso package (from vguardiola and nvigier)
- create dkms-hso

